List Environment Group
get
/rpa/v1/environmentGroups
Returns a list of all available environment groups in a service instance.
Request
Query Parameters
-
areEnvironmentDetailsRequested: boolean
Returns associated environment details when true. When true and no environments, the environments field will be []. When false regardless of environment existence, the environments field will be null.Default Value:
false -
areSharedEnvironmentGroupsRequested: boolean
When true, returns shared environment groups from other projects in conjunction of all the environment groups for the project. When true and no shared environment group is available, environment group list will not have shared environment group. When false, the shared environment groups will not be queried and so will not be part of environment group list.Default Value:
false -
displayName: string
Minimum Length:
1Maximum Length:50A filter to return only resources that match the entire display name given. -
isUtilizationRequested: boolean
Returns utilization of environment group when true.Default Value:
false -
lifecycleState: string
A filter that returns all resources that match the specified lifecycle state.
-
limit: integer
Minimum Value:
1Maximum Value:100The maximum number of items to return.Default Value:100 -
page: string
Minimum Length:
1A token representing the position at which to start retrieving results. This must come from the `opc-next-page` header field of a previous response. -
projectId(required): string
Project identifier
-
q: string
A filter to search resources by name, identifier, or description. The search query can be a simple string or a JSON object with operators and criteria. Example JSON format: { "operator": "AND", "criteria": [ {"name": "example"}, {"version": "1.0"} ] }
-
sortBy: string
The field to sort by. Only one sort order may be provided. Default order for timeCreated is descending. Default order for displayName is ascending. If no value is specified timeCreated is default.Default Value:
TIME_CREATEDAllowed Values:[ "TIME_CREATED", "DISPLAY_NAME" ] -
sortOrder: string
The sort order to use, either 'ASC' or 'DESC'.Allowed Values:
[ "ASC", "DESC" ]
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
A page of Environment Group Summary objects.
Headers
-
opc-next-page:
For pagination of a list of items. When paging through a list, if this header appears in the response, then a partial list might have been returned. Include this value as the `page` parameter for the subsequent GET request to get the next batch of items.
-
opc-request-id:
Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
Root Schema : EnvironmentGroupCollection
Type:
objectResults of a environmentGroup list operation. Contains EnvironmentGroupSummary items.
Show Source
-
items(required): array
items
List of EnvironmentGroupSummary objects
Nested Schema : items
Type:
arrayList of EnvironmentGroupSummary objects
Show Source
-
Array of:
object EnvironmentGroupSummary
Summary of an environment group
Nested Schema : EnvironmentGroupSummary
Type:
objectSummary of an environment group
Show Source
-
associatedEnvironments: array
associatedEnvironments
Associated Environments. Only when areAssociatedEnvironmentsNeeded query parameter is true
-
createdBy(required): string
user Id whom created the Env. Group
-
description(required): string
Minimum Length:
0Maximum Length:1024Description of the Env. Group. -
displayName(required): string
Maximum Length:
50User friendly display name for the environment group -
identifier(required): string
Maximum Length:
32Envrinoment Group identifier - isSharedEnvironmentGroup(required): boolean
-
keywords(required): string
Minimum Length:
0Maximum Length:1024Keywords. -
lifecycleState(required): string
The current state of the environment group
-
projectId(required): string
Minimum Length:
1Maximum Length:32Envrinoment Group project id -
subType: string
Ownership model.
-
timeCreated(required): string
(date-time)
The time at which environment group was created. An RFC3339 formatted datetime string.
-
timeUpdated(required): string
(date-time)
The time at which environment group was last updated. An RFC3339 formatted datetime string
-
type: string
Pool management mode.
-
updatedBy(required): string
user Id whom made the last update
-
utilization: object
EnvironmentGroupUtilizationSummary
Summary of Environment Group Utilization
Nested Schema : associatedEnvironments
Type:
arrayAssociated Environments. Only when areAssociatedEnvironmentsNeeded query parameter is true
Show Source
-
Array of:
object EnvironmentSummary
Summary of an environment
Nested Schema : EnvironmentGroupUtilizationSummary
Type:
objectSummary of Environment Group Utilization
Show Source
-
associatedEnvironmentsCount: integer
count of total Environments
-
idleEnvironmentsCount: integer
count of Environments which are idle
-
offlineEnvironmentsCount: integer
count of Environments which are offline
-
onlineEnvironmentsCount: integer
count of Environments which are online
-
outdatedAgentEnvironmentsCount: integer
count of Environments which are running outdated version of agent
-
percentage: string
percentage of utilized Environments for the Environment Group
-
queuedRobotInstancesCount: integer
count of the robot instances in queue for the Environment Group
-
status: string
Allowed Values:
[ "HEALTHY", "WARNING", "OVERLOAD", "CRITICAL" ]utilization status of Environment Group
Nested Schema : EnvironmentSummary
Type:
objectSummary of an environment
Show Source
-
agentVersion: string
Minimum Length:
1Maximum Length:50The agent version. -
createdBy: string
Records the user who create the environment.
-
description: string
User given description of the environment.
-
displayName(required): string
User friendly display name for the environment.
-
environmentGroupDisplayName(required): string
The environment group display name if this environment is added to the environment group.
-
environmentGroupIdentifier(required): string
The environment group identifier if this environment is added to the environment group.
-
environmentType: string
The type of the environment.
-
identifier(required): string
Unique identifier that is immutable on creation.
-
instanceMetadataProperties: object
instanceMetadataProperties
Additional Properties Allowed: additionalPropertiesMap
for the instance Metadata System Properties -
keywords: string
The keywords of the environment given by user.
-
lifecycleState(required): string
The current state of the environment.
-
previousAgentVersion: string
The previous agent version.
-
projectId(required): string
The environment group project Id if this environment is added to the environment group.
-
systemProperties: object
systemProperties
Additional Properties Allowed: additionalPropertiesMap
for the Environment System Properties -
timeAgentVersionUpdated: string
(date-time)
The time at which agent version was last updated.
-
timeCreated: string
(date-time)
The time at which environment was created. An RFC3339 formatted datetime string.
-
timeUpdated: string
(date-time)
The time at which environment was last updated. An RFC3339 formatted datetime string.
-
updatedBy: string
Records to user who last update the environment.
Nested Schema : instanceMetadataProperties
Type:
objectAdditional Properties Allowed
Show Source
-
string
Minimum Length:
0Maximum Length:1024
Map for the instance Metadata System Properties
Example:
{
"InstanceId":"ocid.instance",
"InstancePoolId":"ocid.instancePool",
"CompartmentId":"ocid.compartment",
"Region":"us-ashburn-1"
}Nested Schema : systemProperties
Type:
objectAdditional Properties Allowed
Show Source
-
string
Minimum Length:
0Maximum Length:1024
Map for the Environment System Properties
Example:
{
"HostName":"JANEDOE-MACBOOKPRO",
"OperatingSystemVersion":"12.6.5",
"OperatingSystemName":"Mac OS X",
"OperatingSystemArchitecture":"x86_64",
"IPAddress":"10.0.1.3",
"MacAddress":"F8-4D-89-87-F6-9D"
}400 Response
Bad Request
Headers
-
opc-request-id:
Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
401 Response
Unauthorized
Headers
-
opc-request-id:
Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
404 Response
Not Found
Headers
-
opc-request-id:
Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
429 Response
Too Many Requests
Headers
-
opc-request-id:
Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
500 Response
Internal Server Error
Headers
-
opc-request-id:
Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
Default Response
Unknown Error
Headers
-
opc-request-id:
Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.